# SparseInterval< Integer, ExcludedContainer > Class Template Reference
[Miscellaneous constructs used by Vaucanson]

Container over a sparse integer range. More...

List of all members.

## Public Member Functions

| SparseInterval (integer_t, integer_t, const excluded_container_t &)
| SparseInterval is a const adapter of a 3-uple : (from, to, excluded).

## Detailed Description

### template<class Integer, class ExcludedContainer>
class vcsn::misc::SparseInterval< Integer, ExcludedContainer >

Container over a sparse integer range.

SparseInterval is a const adapter of a 3-uple : (from, begin, excluded). SparseInterval verifies the container concept.

Definition at line 98 of file sparse_interval.hh.

## Constructor & Destructor Documentation

SparseInterval | ( | integer_t | f,
|  | integer_t | t,
|  | const excluded_container_t & | c |
| ) |  |  |

SparseInterval is a const adapter of a 3-uple : (from, to, excluded).

SparseInterval is a const adapter of a 3-uple : (from, begin, excluded).

SparseInterval verifies the container concept.

Definition at line 129 of file listg_sparse_interval.hxx.